Zoom Contact Center - September 19, 2022

New

  • FlowsAPI

    • GET /v2/contact_center/flows

    • GET /v2/contact_center/flows/{flowId}

  • InboxesAPI

    • GET /v2/contact_center/inboxes

    • GET /v2/contact_center/inboxes/messages

    • GET /v2/contact_center/inboxes/{inboxId}/messages

    • DELETE /v2/contact_center/inboxes/{inboxId}/messages/{messageId}

    • DELETE /v2/contact_center/inboxes/{inboxId}/messages

  • Engagementswebhook events

    • contact_center.engagement_disposition_added

    • contact_center.engagement_note_added

    • contact_center.engagement_wrap_up_started

    • contact_center.engagement_wrap_up_ended

Enhancements

  • Newmodified_byandlast_modified_timeresponse fields in theGet List UsersAPI

    • GET /v2/contact_center/users
  • Newchannel_typerequest field enumeration value to support video recording in theRecordingsAPI

    • GET /v2/contact_center/recordings

    • GET /v2/contact_center/users/{userId}/recordings

    • GET /v2/contact_center/engagement/{engagementId}/recordings

    • GET /v2/contact_center/queues/{queueId}/recordings

  • Support delete video recordings in theRecordingsAPI

    • DELETE /v2/contact_center/users/{userId}/recordings

    • DELETE /v2/contact_center/recordings/{recordingId}

    • DELETE /v2/contact_center/engagement/{engagementId}/recordings

    • DELETE /v2/contact_center/queues/{queueId}/recordings

Bug Fixes

  • Fix List skills API is not returning any results when no query parameters are provided:

    • GET /v2/contact_center/skills